org.eclipse.jetty.util.security

## Class UnixCrypt

- java.lang.Object
- - org.eclipse.jetty.util.security.UnixCrypt

-     public class UnixCrypt
      extends Object

  Unix Crypt. Implements the one way cryptography used by Unix systems for simple password protection.
  Version:
    $Id: UnixCrypt.java,v 1.1 2005/10/05 14:09:14 janb Exp $
  Author:
    Greg Wilkins (gregw)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `crypt(String key, String setting)` Encrypts String into crypt (Unix) code.
    `static void` | `main(String[] arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### crypt

          public static String crypt(String key,
                     String setting)

      Encrypts String into crypt (Unix) code.
      Parameters:
        `key` - the key to be encrypted
        `setting` - the salt to be used
      Returns:
        the encrypted String

    - #### main

          public static void main(String[] arg)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.